Create puzzle room
Developing
Use type: 'community_queue_moderator' for queueing puzzles and type: 'community' for starting puzzles.
Make sure you stay within your community tier limits or else you will get 400 response. Rate limit is 3 rooms per 30 seconds (sliding window). You will receive 429 response if you get rate-limited.
Request
Body Params application/json
{
"isHardmode": true,
"type": "public",
"components": [
{
"image": "89f204d4-24d2-439a-b6e8-e97405cb1f8e",
"imageCrop": {
"x": 0,
"y": 0,
"width": 100,
"height": 100
},
"pieces": 1
}
],
"playerLimit": 5
}
Request Code Samples
curl --location '/puzzles/rooms' \
--header 'Content-Type: application/json' \
--data '{
"isHardmode": true,
"type": "public",
"components": [
{
"image": "89f204d4-24d2-439a-b6e8-e97405cb1f8e",
"imageCrop": {
"x": 0,
"y": 0,
"width": 100,
"height": 100
},
"pieces": 1
}
],
"playerLimit": 5
}'
Responses
application/json
{
"success": true,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f"
}
Modified at 2025-06-15 09:20:38